name: Busybox (single)
services:
  busybox-pod:
    name: busybox-pod
    type: Pod
    apiVersion: v1
    namespace: layer5-test-ns
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        containers:
        - image: busybox
          image Pull Policy: Always
          name: busybox
    traits:
      meshmap:
        edges: []
        id: 7998bf70-168d-43d8-a208-3be128bddcc8
        label: busybox-pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides:
            z-index: 3
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        parent: c84bb621-2979-42ac-8740-8d1674bc0e5f
        position:
          posX: 390
          posY: 210
        whiteboardData:
          style:
            z-index: 5
  nginx:
    name: nginx
    type: Pod
    apiVersion: v1
    namespace: layer5-test-ns
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        containers:
        - image: nginx
          image Pull Policy: Always
          name: nginx
          ports:
          - container Port: 80
            host Port: 8080
            name: nginx-port
            protocol: TCP
    traits:
      meshmap:
        edges: []
        id: fd751fe3-ee76-4120-aafc-57978320aeb0
        label: nginx
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides:
            z-index: 4
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        parent: c84bb621-2979-42ac-8740-8d1674bc0e5f
        position:
          posX: 450
          posY: 210
        whiteboardData:
          style:
            z-index: 6
